#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ${package}.bean;

import ${package}.model.Group;
import ${package}.model.Role;
import org.conventionsframework.bean.ModalMBean;
import java.io.Serializable;
import javax.enterprise.event.Observes;
import javax.enterprise.event.Reception;
import javax.inject.Named;
import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.WindowScoped;
import org.conventionsframework.bean.modal.ModalInitializable;
import org.conventionsframework.event.ModalInitialization;
import org.conventionsframework.qualifier.Service;
import org.primefaces.event.CloseEvent;

 /**
 * 
 * @author rmpestano
 * provides role list of values 
 */
@WindowScoped
@Named(value = "groupModalMBean")
@Service(name="groupService")//only works for non EJB services, for user service it will not work cause its an EJB
public class GroupModalMBean extends ModalMBean<Group> implements Serializable ,ModalInitializable{

    private Group[] selectedGroups;
    
    public GroupModalMBean() {
    }

    public Group[] getSelectedGroups() {
        return selectedGroups;
    }

    public void setSelectedGroups(Group[] selectedGroups) {
        this.selectedGroups = selectedGroups;
    }

    

    @Override
    public Object modalCallback() {
       return selectedGroups;
    }
  
    public void clearSelection(CloseEvent event){
        this.selectedGroups = null;
    }
    
    /**
     * pass parameter to service so only groups which 
     * are no associated with user will be displayed in the popup
     */
    @Override
    public void beforeOpen(@Observes(notifyObserver= Reception.IF_EXISTS) ModalInitialization modalInit) {
        getPaginator().setFilter(modalInit.getParameters());//substitute paginator filter with parammeters filter
    }
    
    
}