#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ${package}.bean;

import ${package}.model.Role;
import ${package}.model.User;
import javax.annotation.PostConstruct;
import javax.inject.Named;
import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.ViewAccessScoped;
import org.conventionsframework.bean.BaseMBean;
import org.conventionsframework.qualifier.PersistentClass;
import org.conventionsframework.qualifier.Service;

/**
 *
 * @author rmpestano
 */

@Named
@ViewAccessScoped
@PersistentClass(Role.class)
@Service(name="statelessHibernateService",entity=Role.class)
public class RoleMBean extends BaseMBean<User> {
 
    @PostConstruct
    public void initBean(){
        setCreateMessage(getResourceBundle().getString("role.create.message"));
        setUpdateMessage(getResourceBundle().getString("role.update.message"));
        setDeleteMessage(getResourceBundle().getString("role.delete.message"));
    }
    
     
}
